notifications
Scout API 1.0.0 — see schemas for shared types.
GET /api/notifications
list_notifications
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
status |
query | NotificationListFilter | null | no |
Responses
- 200 — OK
application/json→ NotificationResponseList- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/notifications/endpoints
delete_notification_endpoint
Request body
Content-Type: application/json
Schema: NotificationEndpointBody
Responses
- 204 — No Content
application/json→ MessageResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/notifications/endpoints
register_notification_endpoint
Request body
Content-Type: application/json
Schema: NotificationEndpointBody
Responses
- 200 — OK
application/json→ NotificationEndpointResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/notifications/preferences
get_notification_preferences
Responses
- 200 — OK
application/json→ NotificationPreferencesResponse- 422 — Unprocessable Content
application/json→ ValidationError
PUT /api/notifications/preferences
update_notification_preferences
Request body
Content-Type: application/json
Schema: UpdateNotificationPreferencesBody
Responses
- 200 — OK
application/json→ NotificationPreferencesResponse- 422 — Unprocessable Content
application/json→ ValidationError
PUT /api/notifications/read-all
mark_all_notifications_read
Responses
- 200 — OK
application/json→ MessageResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/notifications/send
send_notification
Request body
Content-Type: application/json
Schema: SendNotificationRequest
Responses
- 200 — OK
application/json→ SendNotificationResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/notifications/unread-count
get_unread_notifications_count
Responses
- 200 — OK
application/json→ UnreadNotificationsCountResponse- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/notifications/{notification_id}
delete_notification
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
notification_id |
path | string (uuid) | yes |
Responses
- 204 — No Content
- 422 — Unprocessable Content
application/json→ ValidationError
PUT /api/notifications/{notification_id}/read
mark_notification_read
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
notification_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ NotificationResponse- 422 — Unprocessable Content
application/json→ ValidationError